<div [id]="options.formControlName"
  class="field flex flex-column w-full mb-4"
  [ngClass]="options.containerClass"
>
  <label *ngIf="options.label" class="mb-2">{{ options.label }}</label>
  <input
    [type]="options.type"
    [placeholder]="options.placeholder ?? ''"
    [formControlName]="options.formControlName"
    (input)="onChange($event)"
    pInputText
  />
  <app-field-errors [errors]="errors" *ngIf="control?.touched"></app-field-errors>
</div>
